package com.happy.Until.weixin;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * 调用统一下单接口返回的数据实体类
 * @author QT-666
 *
 */
@XmlRootElement(name="xml")
public class TongYiReturn {
    private String return_code; //
    private String return_msg;  // 
    private String appid;       // 调用接口提交的公众账号ID
    private String mch_id;      // 调用接口提交的商户号
    private String nonce_str;   //微信返回的随机字符串
    private String sign;        //微信返回的签名值，详见签名算法
    private String prepay_id;   //微信生成的预支付会话标识，用于后续接口调用中使用，该值有效期为2小时
    private String result_code; //SUCCESS/FAIL
    private String trade_type;  //交易类型，取值为：JSAPI，NATIVE，APP等，说明详见参数规定
	public String getReturn_code() {
		return return_code;
	}
	public void setReturn_code(String return_code) {
		this.return_code = return_code;
	}
	public String getReturn_msg() {
		return return_msg;
	}
	public void setReturn_msg(String return_msg) {
		this.return_msg = return_msg;
	}
	public String getAppid() {
		return appid;
	}
	public void setAppid(String appid) {
		this.appid = appid;
	}
	public String getMch_id() {
		return mch_id;
	}
	public void setMch_id(String mch_id) {
		this.mch_id = mch_id;
	}
	public String getNonce_str() {
		return nonce_str;
	}
	public void setNonce_str(String nonce_str) {
		this.nonce_str = nonce_str;
	}
	public String getSign() {
		return sign;
	}
	public void setSign(String sign) {
		this.sign = sign;
	}
	public String getPrepay_id() {
		return prepay_id;
	}
	public void setPrepay_id(String prepay_id) {
		this.prepay_id = prepay_id;
	}
	public String getResult_code() {
		return result_code;
	}
	public void setResult_code(String result_code) {
		this.result_code = result_code;
	}
	public String getTrade_type() {
		return trade_type;
	}
	public void setTrade_type(String trade_type) {
		this.trade_type = trade_type;
	}
	@Override
	public String toString() {
		return "TongYiReturn [return_code=" + return_code + ", return_msg="
				+ return_msg + ", appid=" + appid + ", mch_id=" + mch_id
				+ ", nonce_str=" + nonce_str + ", sign=" + sign
				+ ", prepay_id=" + prepay_id + ", result_code=" + result_code
				+ ", trade_type=" + trade_type + "]";
	}
    
}
